#ifndef DATACIRCLEFITS_H_SEEN
#define DATACIRCLEFITS_H_SEEN

#include "datacirclebase.h"
#include "FitsIO/fitsio.h" 

class DataCircleFits : public DataCircleBase {

 public:

  DataCircleFits();
  DataCircleFits(fitsfile*,int,bool);
  virtual ~DataCircleFits();

  virtual int NMeasurements() const;
  virtual double getData(double) const;
  virtual double getTMeasure(double) const;
  virtual void print(ostream&) const;

  double getTOffset() const;

 private:

  fitsfile* _fptr;
  int _ICircle;
  int _NMeasurements;
  bool _stored_data;
  double* _mesures;
};
#endif
